@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;900&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
    color: #050B19;
}
a
{
    text-decoration: none;
    color: inherit;
}
hr
{
    border-top: 1.5px solid #D9D9D9;
    opacity: 1;
}
header
{
    background: #050B19;
}
.bg-success
{
    background-color: #7FF6C3 !important;
}

input[type=search]
{
    background-color: white;
    border: 1px solid white;
    border-radius: 30px;
    padding: .675rem .75rem;
}
.form-control:focus
{
    box-shadow: none !important;
}
input[type=search]::placeholder
{
    font-size: 1em;
}

.form-control
{
    border: 1px solid #7C7C7C !important;
    border-radius: 10px !important;
}
::placeholder
{
    color: #7C7C7C;
    font-size: .9em;
}
.fw-Xbold
{
    font-weight: 900;
}
.btn
{
    font-weight: 600;
    line-height: 20px;
    border-radius: 30px;
    padding: .5em 1.5em;
    color: #050B19;
}
.btn-dark
{
    background-color: #050B19 !important;
    border-color: #050B19 !important;
    color: white;
    padding: .5em 2.5em;
}
.top-sec
{
    background-color: white;
}
.navbar-brand img
{
    width: 100px;
}
@media  (max-width:768px) {
    .navbar-collapse
{
    border-top: 1px solid white;
    margin-top: 1em;
    padding: 1em 0;
    transition: .3s;
}
    label
    {
        font-size: .8em !important;
    }
    ::placeholder,.form-select
    {
        font-size: .9em !important;
    }
    .stars__star-icon
    {
        width: 50px;
    }
    .stars__star
    {
        margin: 0 !important;
    }
    .search-box,.rating-detail-box
    {
        padding: 1em !important;
    }
    .search-box .gap-5,.rating-detail-box .gap-5
    {
        gap: 1.5em !important;
    }
    .search-box small,.rating-detail-box small
    {
        font-size: .7em;
    }
    .rating-detail-box p
    {
        font-size: .7em;
    }
    .search-box h3
    {
        font-size: 1.2em;
    }
    .rating-detail-box h6
    {
        font-size: .8rem;
    }
    .rating-detail-box .gap-3
    {
        gap: .7em !important;
    }
    .rating-detail-box .badge
    {
        padding-inline: 5px !important;
        font-size: .7em;
    }

    .search-rating .rating-box
    {
        width: 60px !important;
        height: 50px !important;
    }
    .search-rating .rating-box
    {
        font-size: 1.3em !important;
    }
    .search-rating span
    {
        font-size: .6em !important;
    }
    .progress-wrapper span
    {
        font-size: .9em;
    }
    .distribution-box {
        padding: 1em !important;
    }
}

@media (max-width: 576px) {
    .rating-system2 label {
        width: 50px !important;
        height: 35px !important;
    }
    .radio-buttons label::before
    {
        width: 40px !important;
        height: 40px !important;
    }
    .react-default span
    {
        font-size: .8em;
    }
}
.h-150
{
    height: 150px;
}
.h-300
{
    height: 300px;
}
.h-500
{
    height: 500px;
}
footer{
    background-color: #050B19;
    position: relative;
}
.main-banner
{
    background-image: url("../public/bannerImg.jpeg");
    background-size: cover;
    background-position: top center;
    min-height: 600px;
    position: relative;
}
.main-banner .container
{
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.banner-desc
{
    text-align: center;
}
.banner-desc p
{
    color: white;
    font-size: 1.8em;
}
.banner-desc img
{
    margin-bottom: 4em;
}
.banner-desc form
{
    padding-top:1em;
}
.banner-desc .navbar-nav .dropdown-toggle
{
    font-weight: 500;
    font-size: 1.2em;
}
.banner-search
{
    position: relative;
}
.banner-search img
{
    position:absolute;
    z-index:100000;
    left:20px;
    top:15px;
}
.banner-search .form-control
{
    padding-left: 3.5em;
}
.dropdown-item.active, .dropdown-item:active {
    background-color: #050B19;
}
.dropdown-item.active i, .dropdown-item:active i
{
    color: white;
}
#scroll-btn {
    position: absolute;
    top: 20px;
    left: 50%;
    transform: translate(-50%,-50%);
    transition: .3s,
    opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
}
#scroll-btn:hover {
    cursor: pointer;
}
#scroll-btn.show {
    opacity: 1;
    visibility: visible;
}
.form-box
{
    background: #FFFFFF;
    box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.25);
    border-radius: 20px;
    padding: 2em 0;
}
label
{
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    color: #535353;
    text-transform: uppercase;
}
.form-check-input
{
    border-radius: 0 !important;
    border-color: #7C7C7C !important;
}
.form-check-input:checked {
    background-color: #050B19 !important;
    border-color: #050B19 !important;
}
.form-check-input:focus{
    box-shadow: 0 0 0 0.25rem rgb(5 11 25 / 25%) !important;
}
.review-form
{
    padding-top: 0;
    padding-bottom: 3em;
}
.review-form .form-box
{
    padding:2.5em 2em;
    margin-bottom: 3em;
}
.review-form .form-box label
{
    color: #050B19;
    text-transform: unset;
    font-weight: 700;
}
.check-btns
{
    margin-bottom: 5px;
}
.check-btns .btn-secondary
{
    border-color: #F1F1F1;
    background-color: #F1F1F1;
    color: rgba(0, 0, 0, 0.37) !important;
    font-weight: lighter !important;
}
.btn-check:checked+.btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check)+.btn:active,.check-btns .btn-secondary:hover
{
    border-color: #050B19;
    background-color: #050B19;
    color: white !important;
}
.guide-box
{
    background: #F1F1F1;
    border-radius: 10px;
    padding: 1em;
}
.stars{
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    flex-direction: row-reverse;
    justify-content: center;
}

.stars__star-icon{
    stroke-width: 2px;
    transition: .1s all;
}

.stars__star{
    width: 55px;
    height: 55px;
    position: relative;
    cursor: pointer;
    margin: 10px;
}

.stars__checkbox{
    position: absolute;
    /*top: -9999px;*/
    opacity: 0;
    width: 0;
    height: 0;
}
.rating-input1:hover
{

    fill: #EB5757;
    opacity: .7;
}
.rating-input2:hover
{
    fill: #F2994A;
    opacity: .7;
}
.rating-input3:hover
{
    fill: #F2C94D;
    opacity: .7;
}
.rating-input4:hover
{

    fill: #8ED06F;
    opacity: .7;
}
.rating-input5:hover
{
    fill: #1F9853;
    opacity: .7;
}

.stars__star:hover ~ .stars__star > .stars__star-icon .rating-input1 {
    fill: #EB5757;
}
.stars__star:hover ~ .stars__star > .stars__star-icon .rating-input2 {
    fill: #F2994A;
}
.stars__star:hover ~ .stars__star > .stars__star-icon .rating-input3 {
    fill: #F2C94D;
}
.stars__star:hover ~ .stars__star > .stars__star-icon .rating-input4 {
    fill: #8ED06F;
}
.stars__star:hover ~ .stars__star > .stars__star-icon .rating-input5 {
    fill: #1F9853;
}

.stars__checkbox:checked + .stars__star > .stars__star-icon .rating-input1 {
    fill: #EB5757;
}
.stars__checkbox:checked + .stars__star > .stars__star-icon .rating-input2 {
    fill: #F2994A;
}
.stars__checkbox:checked + .stars__star > .stars__star-icon .rating-input3 {
    fill: #F2C94D;
}
.stars__checkbox:checked + .stars__star > .stars__star-icon .rating-input4 {
    fill: #8ED06F;
}
.stars__checkbox:checked + .stars__star > .stars__star-icon .rating-input5 {
    fill: #1F9853;
}

.stars__checkbox:checked ~ .stars__star > .stars__star-icon .rating-input1 {
    fill: #EB5757;
}
.stars__checkbox:checked ~ .stars__star > .stars__star-icon .rating-input2 {
    fill: #F2994A;
}
.stars__checkbox:checked ~ .stars__star > .stars__star-icon .rating-input3 {
    fill: #F2C94D;
}
.stars__checkbox:checked ~ .stars__star > .stars__star-icon .rating-input4 {
    fill: #8ED06F;
}
.stars__checkbox:checked ~ .stars__star > .stars__star-icon .rating-input5 {
    fill: #1F9853;
}


.radio-buttons input[type="radio"] {
    display: none;
}

.radio-buttons label {
    cursor: pointer;
    position: relative;
    font-size: 1.2em;
    font-weight: normal !important;
    color: #7C7C7C !important;
}

.radio-buttons label::before {
    content: "";
    position: absolute;
    width: 50px;
    height: 50px;
    background-color: transparent;
    border: 2px solid #D9D9D9;
    border-radius: 50%;
    top: -30px;
    left: 50%;
    transform: translate(-50%,-50%);
    transition: border-color 300ms ease;
}

.radio-buttons label::after {
    content: "";
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    top: -30px;
    left: 50%;
    transform: translate(-50%,-50%) scale(0);
    transition: transform 300ms ease;
}

.radio-buttons input[type="radio"]:checked + label
{
    position: relative;
}
.radio-buttons .yes-input input[type="radio"]:checked + label::before {
    background-color: #8ED06F;
    border-color: #8ED06F;
}
.radio-buttons .no-input input[type="radio"]:checked + label::before {
    background-color: #EB5757;
    border-color: #EB5757;
}

.radio-buttons input[type="radio"]:checked + label::after {
    content: '';
    font-family: Fontawesome;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    transform: translate(-50%,-50%) scale(0.80);
}
.radio-buttons .yes-input input[type="radio"]:checked + label::after {
    content: '\f00c';
}
.radio-buttons .no-input input[type="radio"]:checked + label::after {
    content: '\f00d';
}
.search-box
{
    background-color: #F7F7F7;
    border-radius: 20px;
    padding: 1.2em;
    margin-bottom: 2em;
}
.search-rating
{
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.search-rating span
{
    font-size: .7em;
}
.rating-box1
{
    background-color: #FFF170;
}
.rating-box2
{
    background-color: #7FF6C3;
}
.rating-box3
{
    background-color: #E4E4E4;
}
.rating-box4
{
    background-color: #FF9C9C;
}


.search-rating .rating-box
{
    border-radius: 10px;
    font-size: 1.5em;
    font-weight: 900;
    margin: 3px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 70px;
    height: 60px;
}
.review-details .btn-check:checked+.btn, .review-details .btn.active,.review-details .btn.show,.review-details .btn:first-child:active,.review-details :not(.btn-check)+.btn:active, .review-details .check-btns .btn-secondary:hover
{
    border-color: #F1F1F1 !important;
    background-color: #F1F1F1 !important;
    color: rgba(0, 0, 0, 0.37) !important;
    cursor: unset !important;
}
.review-details .rating-text sup
{
    color: rgba(125, 125, 125, 0.67);;
    font-size: .3em;
    vertical-align: super;
}
.review-details ul
{
    list-style-type: none;
    display: inline-flex;
    /*gap: 20px;*/
    padding-left: 0;
}
.review-details ul li
{
    text-align: center;
    position: relative;
    padding-inline: 15px;
}
.review-details ul li:nth-child(1)
{
    padding-left: 0;
}
.review-details ul li:nth-child(3)
{
    padding-right: 0;
}
.review-details ul li:nth-child(2)
{
    border-left: 1px solid black;
    border-right: 1px solid black;
}
.rate-background
{
    background: #3B79F3;
    border-radius: 39.1837px;
    display: inline-block;
    padding: 10px 20px;
}
.rate-background h5,.rate-background h5 span
{
    margin-bottom: 0;
    color: white;
}
.distribution-box
{
    background: rgba(217, 217, 217, 0.27);
    border-radius: 20px;
    padding: 1.5em;
}
.progress-wrapper
{
    display: flex;
    align-items: center;
    justify-content:center;
    margin-bottom: 1em;
}
.progress-wrapper .progress
{
    height: 2.5em;
    border-radius: 10px;
}
.progress-wrapper span
{
    font-weight: 500;
}
.items-box
{
    background: rgba(232, 241, 255, 0.27);
    border-radius: 20px;
    padding: 2em;
}
.items-box .rating-box
{
    border-radius: 10px;
    font-size: 1.2em;
    font-weight: 900;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 65px;
    height: 45px;
    background-color: #3B79F3;
    color: white;
    padding: 10px;
}
.people-rating
{
    border-bottom: 2px solid #D9D9D9;
    margin-top: 2.5em;
    padding-bottom: 8px;
}
.people-rating a
{
    border-bottom: 2.5px solid black;
    padding-bottom: 8px;
    padding-inline: 15px;
}
.rating-detail-box
{
    background-color: #F7F7F7;
    border-radius: 20px;
    padding: 1.2em;
    margin-bottom: 1.5em;
}
.likeBtn,.dislikeBtn
{
    cursor: pointer;
}
.like_color svg path{
    fill: #25FFA1;
}

.dislike_color svg path{
    fill: #FF9D9D;
}




.rating-system2{
    width: auto;
    display: inline-flex;
    margin: 20px;
    position: relative;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
}

.rating-system2 span{
    display:inline-block;
    width:10px;
    height:10px;
    background:red;
    position: absolute;
    left:20px;
}

.rating-system2 input{
    display:none;
}
.rating-system2 label{
    float:right;
    display:inline-block;
    width:20px;
    height:5px;
    background:#ccc;
    margin:4px;
    position: relative;
    transition:all .3s;
}
.rating-system2 .text{
    color: #6c757d;
    padding: 10px 0;
    position: absolute;
    width: 100%;
    top: 130%;
    text-align: center;
}
.rating-system2 label{
    width:70px;
    height:50px;
    margin:0 2px;
    cursor: pointer;
}
.rating-system2 label:nth-of-type(5){
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
}
.rating-system2 label:nth-of-type(1){
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}

.ratings-system2 label:before
{
    display:none;
}
.rating-system2 input:checked + .react-default,.rating-system2 input:hover + .react-default
{
    display: none;
}

.rating-system2 input:nth-of-type(1):checked ~ label:nth-of-type(2),.rating-system2 input:nth-of-type(1):hover ~ label:nth-of-type(2){
    background:#8ED06F;
}
.rating-system2 input:nth-of-type(1):checked ~ label:nth-of-type(3),.rating-system2 input:nth-of-type(1):hover ~ label:nth-of-type(3){
    background:#F2C94D;
}
.rating-system2 input:nth-of-type(1):checked ~ label:nth-of-type(4),.rating-system2 input:nth-of-type(1):hover ~ label:nth-of-type(4){
    background:#F2994A;
}
.rating-system2 input:nth-of-type(1):checked ~ label:nth-of-type(5),.rating-system2 input:nth-of-type(1):hover ~ label:nth-of-type(5){
    background:#EB5757;
}

.rating-system2 input:nth-of-type(2):checked ~ label:nth-of-type(3),.rating-system2 input:nth-of-type(2):hover ~ label:nth-of-type(3){
    background:#F2C94D;
}
.rating-system2 input:nth-of-type(2):checked ~ label:nth-of-type(4),.rating-system2 input:nth-of-type(2):hover ~ label:nth-of-type(4){
    background:#F2994A;
}
.rating-system2 input:nth-of-type(2):checked ~ label:nth-of-type(5),.rating-system2 input:nth-of-type(2):hover ~ label:nth-of-type(5){
    background:#EB5757;
}

.rating-system2 input:nth-of-type(3):checked ~ label:nth-of-type(4),.rating-system2 input:nth-of-type(3):hover ~ label:nth-of-type(4){
    background:#F2994A;
}
.rating-system2 input:nth-of-type(3):checked ~ label:nth-of-type(5),.rating-system2 input:nth-of-type(3):hover ~ label:nth-of-type(5){
    background:#EB5757;
}

.rating-system2 input:nth-of-type(4):checked ~ label:nth-of-type(5),.rating-system2 input:nth-of-type(4):hover ~ label:nth-of-type(5){
    background:#EB5757;
}


/*selecting : overall-experience */
.overall-experience input:nth-of-type(5):checked  ~  .text:before{
    content:"1 - Awful";
}

.overall-experience label:nth-of-type(5):hover  ~ .text:before{
    content:"1 - Awful"!important;
}

.overall-experience input:nth-of-type(4):checked  ~ .text:before{
    content:"2 - OK";
}

.overall-experience label:nth-of-type(4):hover  ~  .text:before
{
    content:"2 - OK"!important;
}

.overall-experience input:nth-of-type(3):checked  ~  .text:before{
    content:"3 - Good";
}

.overall-experience label:nth-of-type(3):hover  ~ .text:before{
    content:"3 - Good"!important;
}

.overall-experience input:nth-of-type(2):checked  ~ .text:before{
    content:"4 - Great";
}
.overall-experience label:nth-of-type(2):hover  ~ .text:before{
    content:"4 - Great"!important;
}

.overall-experience input:nth-of-type(1):checked  ~ .text:before{
    content:"5 - Awesome";
}
.overall-experience label:nth-of-type(1):hover  ~ .text:before{
    content:"5 - Awesome"!important;
}

/* selecting : players-development */
.players-development input:nth-of-type(5):checked  ~  .text:before{
    content:"1 - None";
}

.players-development label:nth-of-type(5):hover  ~ .text:before{
    content:"1 - None"!important;
}

.players-development input:nth-of-type(4):checked  ~ .text:before{
    content:"2 - OK";
}

.players-development label:nth-of-type(4):hover  ~  .text:before
{
    content:"2 - OK"!important;
}

.players-development input:nth-of-type(3):checked  ~  .text:before{
    content:"3 - Good";
}

.players-development label:nth-of-type(3):hover  ~ .text:before{
    content:"3 - Good"!important;
}

.players-development input:nth-of-type(2):checked  ~ .text:before{
    content:"4 - Great";
}
.players-development label:nth-of-type(2):hover  ~ .text:before{
    content:"4 - Great"!important;
}

.players-development input:nth-of-type(1):checked  ~ .text:before{
    content:"5 - Amazing";
}
.players-development label:nth-of-type(1):hover  ~ .text:before{
    content:"5 - Amazing"!important;
}

/* selecting : equitable-playing-time */
.equitable-playing-time input:nth-of-type(5):checked  ~  .text:before{
    content:"1 - Not Fair";
}

.equitable-playing-time label:nth-of-type(5):hover  ~ .text:before{
    content:"1 - Not Fair"!important;
}

.equitable-playing-time input:nth-of-type(4):checked  ~ .text:before{
    content:"2 - OK";
}

.equitable-playing-time label:nth-of-type(4):hover  ~  .text:before
{
    content:"2 - OK"!important;
}

.equitable-playing-time input:nth-of-type(3):checked  ~  .text:before{
    content:"3 - Good";
}

.equitable-playing-time label:nth-of-type(3):hover  ~ .text:before{
    content:"3 - Good"!important;
}

.equitable-playing-time input:nth-of-type(2):checked  ~ .text:before{
    content:"4 - Great";
}
.equitable-playing-time label:nth-of-type(2):hover  ~ .text:before{
    content:"4 - Great"!important;
}

.equitable-playing-time input:nth-of-type(1):checked  ~ .text:before{
    content:"5 - Fair";
}
.equitable-playing-time label:nth-of-type(1):hover  ~ .text:before{
    content:"5 - Fair"!important;
}

/* selecting : level-of-fun */
.level-of-fun input:nth-of-type(5):checked  ~  .text:before{
    content:"1 - Not Fun";
}

.level-of-fun label:nth-of-type(5):hover  ~ .text:before{
    content:"1 - Not Fun"!important;
}

.level-of-fun input:nth-of-type(4):checked  ~ .text:before{
    content:"2 - OK";
}

.level-of-fun label:nth-of-type(4):hover  ~  .text:before
{
    content:"2 - OK"!important;
}

.level-of-fun input:nth-of-type(3):checked  ~  .text:before{
    content:"3 - Good";
}

.level-of-fun label:nth-of-type(3):hover  ~ .text:before{
    content:"3 - Good"!important;
}

.level-of-fun input:nth-of-type(2):checked  ~ .text:before{
    content:"4 - Great";
}
.level-of-fun label:nth-of-type(2):hover  ~ .text:before{
    content:"4 - Great"!important;
}

.level-of-fun input:nth-of-type(1):checked  ~ .text:before{
    content:"5 - Fun";
}
.level-of-fun label:nth-of-type(1):hover  ~ .text:before{
    content:"5 - Fun"!important;
}

/* selecting : level-of-fun */
.cost-of-program input:nth-of-type(5):checked  ~  .text:before{
    content:"1 - $";
}

.cost-of-program label:nth-of-type(5):hover  ~ .text:before{
    content:"1 - $"!important;
}

.cost-of-program input:nth-of-type(4):checked  ~ .text:before{
    content:"2 - $$";
}

.cost-of-program label:nth-of-type(4):hover  ~  .text:before
{
    content:"2 - $$"!important;
}

.cost-of-program input:nth-of-type(3):checked  ~  .text:before{
    content:"3 - $$$";
}

.cost-of-program label:nth-of-type(3):hover  ~ .text:before{
    content:"3 - $$$"!important;
}

.cost-of-program input:nth-of-type(2):checked  ~ .text:before{
    content:"4 - $$$$";
}
.cost-of-program label:nth-of-type(2):hover  ~ .text:before{
    content:"4 - $$$$"!important;
}

.cost-of-program input:nth-of-type(1):checked  ~ .text:before{
    content:"5 - $$$$$";
}
.cost-of-program label:nth-of-type(1):hover  ~ .text:before{
    content:"5 - $$$$$"!important;
}

.rating-system2 label:nth-of-type(5):hover,.rating-system2 input:nth-of-type(5):checked ~ label
{
    background-color: #EB5757;
}
.rating-system2 label:nth-of-type(4):hover,.rating-system2 input:nth-of-type(4):checked ~ label
{
    background-color: #F2994A;
}
.rating-system2 label:nth-of-type(3):hover,.rating-system2 input:nth-of-type(3):checked ~ label
{
    background-color: #F2C94D;
}
.rating-system2 label:nth-of-type(2):hover,.rating-system2 input:nth-of-type(2):checked ~ label
{
    background-color: #8ED06F;
}
.rating-system2 label:nth-of-type(1):hover,.rating-system2 input:nth-of-type(1):checked ~ label
{
    background-color: #1F9853;
}